### 2.14 `clog10`, `clog10f`—complex base-10 logarithm

Synopsis

         #define _GNU_SOURCE
         #include <complex.h>
         double complex clog10(double complex z);
         float complex clog10f(float complex z);

Description
These functions compute the complex base-10 logarithm of z. `clog10` is equivalent to `clog`(z)/`log`(10).

`clog10f` is identical to `clog10`, except that it performs its calculations on `floats complex`.

Returns
The clog10 functions return the complex base-10 logarithm value.

Portability
`clog10` and `clog10f` are GNU extensions.